var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React, { useContext } from 'react';
import { Context } from '../context';
function IconPromptCreateCopyComponent(props, ref) {
    var prefixFromContext = useContext(Context).prefix;
    var _a = props.className, className = _a === void 0 ? '' : _a, prefixFromProps = props.prefix, _b = props.width, width = _b === void 0 ? '1em' : _b, _c = props.height, height = _c === void 0 ? '1em' : _c, _d = props.useCurrentColor, useCurrentColor = _d === void 0 ? true : _d, spin = props.spin, rest = __rest(props, ["className", "prefix", "width", "height", "useCurrentColor", "spin"]);
    var prefix = prefixFromProps || prefixFromContext || 'hiagent';
    var loadingKls = spin ? " ".concat(prefix, "-icon-loading") : '';
    return React.createElement("svg", __assign({ className: "".concat(prefix, "-icon ").concat(prefix, "-icon-prompt_create-copy").concat(loadingKls, " ").concat(className), width: width, height: height, xmlns: "http://www.w3.org/2000/svg", fill: useCurrentColor ? 'currentColor' : '#000', viewBox: "0 0 20 20" }, rest, { ref: ref }),
        React.createElement("path", { d: "M17.167 12.083V2.916a.083.083 0 0 0-.083-.083H8.75a.083.083 0 0 0-.083.083v1.25a.75.75 0 0 1-1.5 0v-1.25c0-.874.709-1.583 1.583-1.583h8.334c.874 0 1.583.71 1.583 1.583v9.167c0 .875-.709 1.583-1.583 1.583h-1.667a.75.75 0 0 1 0-1.5h1.667a.083.083 0 0 0 .083-.083Z" }),
        React.createElement("path", { d: "M11.333 8.333a.083.083 0 0 0-.083-.083H2.916a.083.083 0 0 0-.083.083v8.334c0 .046.037.083.083.083h8.334a.083.083 0 0 0 .083-.083V8.333Zm1.5 8.334c0 .874-.709 1.583-1.583 1.583H2.916a1.583 1.583 0 0 1-1.583-1.583V8.333c0-.874.71-1.583 1.583-1.583h8.334c.874 0 1.583.709 1.583 1.583v8.334Z" }),
        React.createElement("path", { d: "M6.333 14.584v-4.167a.75.75 0 0 1 1.5 0v4.167a.75.75 0 0 1-1.5 0Z" }),
        React.createElement("path", { d: "M9.167 11.75a.75.75 0 0 1 0 1.5H5a.75.75 0 0 1 0-1.5h4.167Z" }));
}
var IconPromptCreateCopy = React.forwardRef(IconPromptCreateCopyComponent);
export default IconPromptCreateCopy;
